Bug 910147 - Review Request: nodejs-node-xmpp - Idiomatic XMPP client, component and server library for Node.js
Summary: Review Request: nodejs-node-xmpp - Idiomatic XMPP client, component and serve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 910136 910137 910145
Blocks: 910154 911022
TreeView+ depends on / blocked
 
Reported: 2013-02-11 21:49 UTC by Jamie Nguyen
Modified: 2013-04-07 00:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-26 13:50:15 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-11 21:49:13 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-node-xmpp.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-node-xmpp-0.3.2-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
Idiomatic XMPP client, component and server library for Node.js.

The objectives of node-xmpp:

 - Use node.js conventions, especially EventEmitter (ie, for write buffer
   control)
 - Fast parsing; node-expat was written for this library
 - Client support for both XMPP clients and components
 - Optional server infrastructure with Router
 - After authentication, leave trivial protocol bits to the user, that is XML handling according to any XEP

Comment 1 Jamie Nguyen 2013-02-13 22:21:12 UTC
Be a bit more cautious with version requirements in the dependency patch.

Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-node-xmpp.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-node-xmpp-0.3.2-2.fc18.src.rpm

Comment 5 Tom Hughes 2013-03-23 00:10:57 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Patches link to upstream bugs/comments/lists or are otherwise justified.

The patch seems to have come from git - was it taken from upstream?

- Rpmlint is run on all installed packages.

nodejs-node-xmpp.noarch: E: description-line-too-long C  - After authentication, leave trivial protocol bits to the user, that is XML handling according to any XEP


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 11 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-node-xmpp-0.3.2-4.fc20.noarch.rpm
nodejs-node-xmpp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-xmpp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-node-xmpp.noarch: W: spelling-error %description -l en_US ie -> IE, i, e
nodejs-node-xmpp.noarch: E: description-line-too-long C  - After authentication, leave trivial protocol bits to the user, that is XML handling according to any XEP
nodejs-node-xmpp.noarch: W: only-non-binary-in-usr-lib
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/node-expat /usr/lib/node_modules/node-expat
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/node-stringprep /usr/lib/node_modules/node-stringprep
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/ltx /usr/lib/node_modules/ltx
1 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-node-xmpp
nodejs-node-xmpp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-xmpp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-node-xmpp.noarch: W: spelling-error %description -l en_US ie -> IE, i, e
nodejs-node-xmpp.noarch: E: description-line-too-long C  - After authentication, leave trivial protocol bits to the user, that is XML handling according to any XEP
nodejs-node-xmpp.noarch: W: only-non-binary-in-usr-lib
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/node-expat /usr/lib/node_modules/node-expat
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/node-stringprep /usr/lib/node_modules/node-stringprep
nodejs-node-xmpp.noarch: W: dangling-symlink /usr/lib/node_modules/node-xmpp/node_modules/ltx /usr/lib/node_modules/ltx
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-node-xmpp (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(ltx)
    npm(node-expat)
    npm(node-stringprep)



Provides
--------
nodejs-node-xmpp:
    nodejs-node-xmpp
    npm(node-xmpp)



MD5-sum check
-------------
http://registry.npmjs.org/node-xmpp/-/node-xmpp-0.3.2.tgz :
  CHECKSUM(SHA256) this package     : 7ae77dd46369149a10d4fddedb0d54cf2f74d00b2fcb24db9d9f3877fd339c42
  CHECKSUM(SHA256) upstream package : 7ae77dd46369149a10d4fddedb0d54cf2f74d00b2fcb24db9d9f3877fd339c42


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 910147

Comment 6 Jamie Nguyen 2013-03-23 06:28:47 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-node-xmpp.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-node-xmpp-0.3.2-5.fc18.src.rpm

* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-5
- add comment about upstream patch
- fix %%description

Comment 7 Tom Hughes 2013-03-23 11:02:22 UTC
Looks good now. Package approved.

Comment 8 Jamie Nguyen 2013-03-23 11:08:08 UTC
New Package SCM Request
=======================
Package Name: nodejs-node-xmpp
Short Description: Idiomatic XMPP client, component and server library for Node.js
Owners: jamielinux
Branches: f18 f19 el6
InitialCC:

Comment 9 Gwyn Ciesla 2013-03-23 13:26:11 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-03-23 16:36:31 UTC
nodejs-node-xmpp-0.3.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-node-xmpp-0.3.2-5.fc18

Comment 11 Fedora Update System 2013-03-24 00:01:58 UTC
nodejs-node-xmpp-0.3.2-5.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-04-07 00:32:35 UTC
nodejs-node-xmpp-0.3.2-5.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.